> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting details of a User



## OpenAPI

````yaml /api-reference/openapi.json get /v1/users/{id}
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/users/{id}:
    get:
      tags:
        - Users
      summary: Getting details of a User
      operationId: getting-details-of-a-user
      parameters:
        - name: id
          in: path
          description: The ID or email of the User to query
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "statusCode": 200,
                        "id": 111111,
                        "email": "test@qminder.com",
                        "firstName": "Test",
                        "lastName": "User",
                        "selectedLocation": 18588,
                        "roles": [
                            {
                                "id": 1234,
                                "type": "ADMIN"
                            }
                        ]
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  id:
                    type: integer
                    example: 111111
                    default: 0
                  email:
                    type: string
                    example: test@qminder.com
                  firstName:
                    type: string
                    example: Test
                  lastName:
                    type: string
                    example: User
                  selectedLocation:
                    type: integer
                    example: 18588
                    default: 0
                  roles:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1234
                          default: 0
                        type:
                          type: string
                          example: ADMIN
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````